Bug 325291 - Description of OSI Layer2 support for System z needed in the release notes
Description of OSI Layer2 support for System z needed in the release notes
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-release (Show other bugs)
s390x All
low Severity high
: ---
: ---
Assigned To: Don Domingo
Content Services Development
: 336211 (view as bug list)
Depends On:
Blocks: 248673
  Show dependency treegraph
Reported: 2007-10-09 14:01 EDT by IBM Bug Proxy
Modified: 2010-10-22 15:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-31 22:33:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 39515 None None None Never

  None (edit)
Description IBM Bug Proxy 2007-10-09 14:01:03 EDT
=Comment: #0=================================================
William J. Goodrich <billgo@us.ibm.com> - 2007-10-09 11:28 EDT
Problem description:
The following text was added to the RHEL5.1 release notes to describe the
changes in Anaconda to provide support for installation over OSI Later2 devices. 

"Anaconda layer 2 Mode Enhancement

           Anaconda now supports connections to a VSWITCH, GuestLAN, or OSA
           in layer 2 mode. The installer now prompts for the mode in the
           initial stage of the installation. The value provided for the mode
           also affects the resulting network interface startup script after

           For layer 2 installations, the value OPTIONS="layer2=1" is written
           to ifcfg-eth0; for layer 3, the value ARP=no is written.

           Note that when installing on a System z guest, you can make the
           mode persistent. To do so, add either LAYER2=0 or LAYER2=1 to the
           CMS configration file. Use LAYER2=0 when the OSA is in layer 3
           mode, and LAYER2=1 when the OSA is in layer 2 mode.

           When specifying LAYER2=1, you can also specify VSWITCH=1 when
           connecting to a VSWITCH, or VSWITCH=0 when connecting directly to
           the OSA. If a VSWITCH is not in use, specify the MAC address in
           the CMS configuration file using the parameter MACADDR=<MAC

This text should also be added to the RHEL4.6 release notes.
Comment 1 Don Domingo 2007-10-09 20:38:57 EDT
added to RHEL4.6 release notes updates.
Comment 2 Don Domingo 2007-10-21 20:11:06 EDT
*** Bug 336211 has been marked as a duplicate of this bug. ***
Comment 3 John Jarvis 2007-11-14 11:56:17 EST
Verified the requested text is indeed in the RHEL 4.6 release notes under the
Feature Updates heading.
Comment 5 Don Domingo 2008-01-31 22:33:56 EST
as per Comment#3, closing this bug. 

Note You need to log in before you can comment on or make changes to this bug.